quietly set ACTELLIBNAME PolarFire
quietly set PROJECT_DIR "E:/temp/Actel_Test/Ethernet10G_IP"
source "${PROJECT_DIR}/simulation/bfmCompile.tcl";source "${PROJECT_DIR}/simulation/bfmtovec_compile.tcl";

if {[file exists presynth/_info]} {
   echo "INFO: Simulation library presynth already exists"
} else {
   file delete -force presynth 
   vlib presynth
}
vmap presynth presynth
vmap PolarFire "C:/Microsemi/Libero_SoC_PolarFire_v1.1/Designer/lib/modelsimpro/precompiled/vlog/polarfire"
if {[file exists COREAHBLSRAM_PF_LIB/_info]} {
   echo "INFO: Simulation library COREAHBLSRAM_PF_LIB already exists"
} else {
   file delete -force COREAHBLSRAM_PF_LIB 
   vlib COREAHBLSRAM_PF_LIB
}
vmap COREAHBLSRAM_PF_LIB "COREAHBLSRAM_PF_LIB"
if {[file exists COREFIFO_LIB/_info]} {
   echo "INFO: Simulation library COREFIFO_LIB already exists"
} else {
   file delete -force COREFIFO_LIB 
   vlib COREFIFO_LIB
}
vmap COREFIFO_LIB "COREFIFO_LIB"
vmap COREAHBLITE_LIB "../component/Actel/DirectCore/CoreAHBLite/5.3.101/mti/user_vlog/COREAHBLITE_LIB"
vcom -work COREAHBLITE_LIB -force_refresh
vlog -work COREAHBLITE_LIB -force_refresh
if {[file exists COREAHBTOAPB3_LIB/_info]} {
   echo "INFO: Simulation library COREAHBTOAPB3_LIB already exists"
} else {
   file delete -force COREAHBTOAPB3_LIB 
   vlib COREAHBTOAPB3_LIB
}
vmap COREAHBTOAPB3_LIB "COREAHBTOAPB3_LIB"
if {[file exists COREAPB3_LIB/_info]} {
   echo "INFO: Simulation library COREAPB3_LIB already exists"
} else {
   file delete -force COREAPB3_LIB 
   vlib COREAPB3_LIB
}
vmap COREAPB3_LIB "COREAPB3_LIB"
if {[file exists COREUARTAPB_LIB/_info]} {
   echo "INFO: Simulation library COREUARTAPB_LIB already exists"
} else {
   file delete -force COREUARTAPB_LIB 
   vlib COREUARTAPB_LIB
}
vmap COREUARTAPB_LIB "COREUARTAPB_LIB"
if {[file exists CORETIMER_LIB/_info]} {
   echo "INFO: Simulation library CORETIMER_LIB already exists"
} else {
   file delete -force CORETIMER_LIB 
   vlib CORETIMER_LIB
}
vmap CORETIMER_LIB "CORETIMER_LIB"

vlog -vlog01compat -work presynth "${PROJECT_DIR}/component/Actel/DirectCore/CORECORTEXM1/3.0.100/rtl/vlog/core/core_encrypted/CortexM1DbgIntegration_PF.v"
vlog -vlog01compat -work presynth "${PROJECT_DIR}/component/Actel/DirectCore/CORECORTEXM1/3.0.100/rtl/vlog/core/core_encrypted/CORECORTEXM1.v"
vlog -vlog01compat -work presynth "${PROJECT_DIR}/component/Actel/DirectCore/COREI2C/7.2.101/rtl/vlog/core/corei2creal.v"
vlog -vlog01compat -work presynth "${PROJECT_DIR}/component/work/CortexM1_Subsystem/COREI2C_0/rtl/vlog/core/corei2c.v"
vlog -vlog01compat -work presynth "${PROJECT_DIR}/component/work/CortexM1_Subsystem/CoreGPIO_0/rtl/vlog/core/coregpio.v"
vlog -vlog01compat -work presynth "${PROJECT_DIR}/component/work/CortexM1_Subsystem/CoreUARTapb_0/rtl/vlog/core/Clock_gen.v"
vlog -vlog01compat -work presynth "${PROJECT_DIR}/component/work/CortexM1_Subsystem/CoreUARTapb_0/rtl/vlog/core/Rx_async.v"
vlog -vlog01compat -work presynth "${PROJECT_DIR}/component/work/CortexM1_Subsystem/CoreUARTapb_0/rtl/vlog/core/Tx_async.v"
vlog -vlog01compat -work presynth "${PROJECT_DIR}/component/work/CortexM1_Subsystem/CoreUARTapb_0/rtl/vlog/core/fifo_256x8_g5.v"
vlog -vlog01compat -work presynth "${PROJECT_DIR}/component/work/CortexM1_Subsystem/CoreUARTapb_0/rtl/vlog/core/CoreUART.v"
vlog -vlog01compat -work presynth "${PROJECT_DIR}/component/work/CortexM1_Subsystem/CoreUARTapb_0/rtl/vlog/core/CoreUARTapb.v"
vlog -vlog01compat -work presynth "${PROJECT_DIR}/component/work/CortexM1_Subsystem/PF_INIT_MONITOR_0/CortexM1_Subsystem_PF_INIT_MONITOR_0_PF_INIT_MONITOR.v"
vlog -vlog01compat -work presynth "${PROJECT_DIR}/component/Actel/DirectCore/CORE10GMAC/2.1.111/rtl/vlog/core_encrypted/Core10GMAC.v"
vlog -vlog01compat -work presynth "${PROJECT_DIR}/component/work/Ethernet10G_Subsystem/PF_CCC_0/Ethernet10G_Subsystem_PF_CCC_0_PF_CCC.v"
vlog -vlog01compat -work presynth "${PROJECT_DIR}/component/work/Ethernet10G_Subsystem/PF_CCC_1/Ethernet10G_Subsystem_PF_CCC_1_PF_CCC.v"
vlog -vlog01compat -work presynth "${PROJECT_DIR}/component/work/Ethernet10G_Subsystem/PF_TX_PLL_0/Ethernet10G_Subsystem_PF_TX_PLL_0_PF_TX_PLL.v"
vlog -vlog01compat -work presynth "${PROJECT_DIR}/component/work/Ethernet10G_Subsystem/PF_XCVR_0/Ethernet10G_Subsystem_PF_XCVR_0_PF_XCVR.v"
vlog -vlog01compat -work presynth "${PROJECT_DIR}/component/work/Ethernet10G_Subsystem/PF_XCVR_REF_CLK_0/Ethernet10G_Subsystem_PF_XCVR_REF_CLK_0_PF_XCVR_REF_CLK.v"
vcom -2008 -explicit  -work presynth "${PROJECT_DIR}/component/work/Retime_1_Bit/Retime_1_Bit.vhd"
vlog -vlog01compat -work presynth "${PROJECT_DIR}/component/work/gmac_fifo_apb/read_fifo_apb_0/rtl/vlog/core/corefifo_doubleSync.v"
vlog -vlog01compat -work presynth "${PROJECT_DIR}/component/work/gmac_fifo_apb/read_fifo_apb_0/rtl/vlog/core/corefifo_grayToBinConv.v"
vlog -vlog01compat -work presynth "${PROJECT_DIR}/component/work/gmac_fifo_apb/read_fifo_apb_0/rtl/vlog/core/corefifo_async.v"
vlog -vlog01compat -work presynth "${PROJECT_DIR}/component/work/gmac_fifo_apb/read_fifo_apb_0/rtl/vlog/core/corefifo_fwft.v"
vlog -vlog01compat -work presynth "${PROJECT_DIR}/component/work/gmac_fifo_apb/read_fifo_apb_0/rtl/vlog/core/corefifo_sync.v"
vlog -vlog01compat -work presynth "${PROJECT_DIR}/component/work/gmac_fifo_apb/read_fifo_apb_0/rtl/vlog/core/corefifo_sync_scntr.v"
vlog -vlog01compat -work presynth "${PROJECT_DIR}/component/work/gmac_fifo_apb/read_fifo_apb_0/rtl/vlog/core/gmac_fifo_apb_read_fifo_apb_0_LSRAM_top.v"
vlog -vlog01compat -work presynth "${PROJECT_DIR}/component/work/gmac_fifo_apb/read_fifo_apb_0/rtl/vlog/core/gmac_fifo_apb_read_fifo_apb_0_ram_wrapper.v"
vlog -vlog01compat -work presynth "${PROJECT_DIR}/component/work/gmac_fifo_apb/read_fifo_apb_0/rtl/vlog/core/COREFIFO.v"
vlog -vlog01compat -work presynth "${PROJECT_DIR}/component/work/gmac_fifo_apb/gmac_fifo_apb.v"
vcom -2008 -explicit  -work presynth "${PROJECT_DIR}/hdl/interface_fifo_10gmac.vhd"
vlog -vlog01compat -work presynth "${PROJECT_DIR}/component/work/Ethernet10G_Subsystem/Ethernet10G_Subsystem.v"
vlog -vlog01compat -work presynth "${PROJECT_DIR}/component/work/PF_LSRAM/COREAHBLSRAM_PF_0/rtl/vlog/core/CoreAHBLSRAM_AHBLSramIf.v"
vlog -vlog01compat -work presynth "${PROJECT_DIR}/component/work/PF_LSRAM/COREAHBLSRAM_PF_0/rtl/vlog/core/CoreAHBLSRAM_PF.v"
vlog -vlog01compat -work presynth "${PROJECT_DIR}/component/work/PF_LSRAM/PF_TPSRAM_AHB_AXI_0/PF_LSRAM_PF_TPSRAM_AHB_AXI_0_PF_TPSRAM.v"
vlog -vlog01compat -work presynth "${PROJECT_DIR}/component/work/PF_LSRAM/PF_LSRAM.v"
vlog -vlog01compat -work COREAHBLITE_LIB "${PROJECT_DIR}/component/Actel/DirectCore/CoreAHBLite/5.3.101/rtl/vlog/core/coreahblite_addrdec.v"
vlog -vlog01compat -work COREAHBLITE_LIB "${PROJECT_DIR}/component/Actel/DirectCore/CoreAHBLite/5.3.101/rtl/vlog/core/coreahblite_defaultslavesm.v"
vlog -vlog01compat -work COREAHBLITE_LIB "${PROJECT_DIR}/component/Actel/DirectCore/CoreAHBLite/5.3.101/rtl/vlog/core/coreahblite_masterstage.v"
vlog -vlog01compat -work COREAHBLITE_LIB "${PROJECT_DIR}/component/Actel/DirectCore/CoreAHBLite/5.3.101/rtl/vlog/core/coreahblite_slavearbiter.v"
vlog -vlog01compat -work COREAHBLITE_LIB "${PROJECT_DIR}/component/Actel/DirectCore/CoreAHBLite/5.3.101/rtl/vlog/core/coreahblite_slavestage.v"
vlog -vlog01compat -work COREAHBLITE_LIB "${PROJECT_DIR}/component/Actel/DirectCore/CoreAHBLite/5.3.101/rtl/vlog/core/coreahblite_matrix4x16.v"
vlog -vlog01compat -work COREAHBLITE_LIB "${PROJECT_DIR}/component/work/CortexM1_Subsystem/CoreAHBLite_0/rtl/vlog/core/coreahblite.v"
vlog -vlog01compat -work COREAHBTOAPB3_LIB "${PROJECT_DIR}/component/Actel/DirectCore/COREAHBTOAPB3/3.1.100/rtl/vlog/core/coreahbtoapb3_ahbtoapbsm.v"
vlog -vlog01compat -work COREAHBTOAPB3_LIB "${PROJECT_DIR}/component/Actel/DirectCore/COREAHBTOAPB3/3.1.100/rtl/vlog/core/coreahbtoapb3_apbaddrdata.v"
vlog -vlog01compat -work COREAHBTOAPB3_LIB "${PROJECT_DIR}/component/Actel/DirectCore/COREAHBTOAPB3/3.1.100/rtl/vlog/core/coreahbtoapb3_penablescheduler.v"
vlog -vlog01compat -work COREAHBTOAPB3_LIB "${PROJECT_DIR}/component/Actel/DirectCore/COREAHBTOAPB3/3.1.100/rtl/vlog/core/coreahbtoapb3.v"
vlog -vlog01compat -work COREAPB3_LIB "${PROJECT_DIR}/component/Actel/DirectCore/CoreAPB3/4.1.100/rtl/vlog/core/coreapb3_muxptob3.v"
vlog -vlog01compat -work COREAPB3_LIB "${PROJECT_DIR}/component/Actel/DirectCore/CoreAPB3/4.1.100/rtl/vlog/core/coreapb3_iaddr_reg.v"
vlog -vlog01compat -work COREAPB3_LIB "${PROJECT_DIR}/component/Actel/DirectCore/CoreAPB3/4.1.100/rtl/vlog/core/coreapb3.v"
vlog -vlog01compat -work CORETIMER_LIB "${PROJECT_DIR}/component/Actel/DirectCore/CoreTimer/2.0.103/rtl/vlog/core/coretimer.v"
vlog -vlog01compat -work presynth "${PROJECT_DIR}/component/work/CortexM1_Subsystem/CortexM1_Subsystem.v"
vlog "+incdir+${PROJECT_DIR}/stimulus" -vlog01compat -work presynth "${PROJECT_DIR}/stimulus/Ethernet10G_Sub_Tb.v"

vsim -L PolarFire -L presynth -L COREAHBLSRAM_PF_LIB -L COREFIFO_LIB -L COREAHBLITE_LIB -L COREAHBTOAPB3_LIB -L COREAPB3_LIB -L COREUARTAPB_LIB -L CORETIMER_LIB  -t 1ps presynth.Ethernet10G_Sub_Tb
add wave /Ethernet10G_Sub_Tb/*
run 35us
